Retrieve testset

Retrieve a specific testset by ID. ## Authentication - API key: `Authorization: Bearer ` ## Path Parameters - `testset_id` *string* **required**: The ID of the testset to retrieve. ## Examples ```python Python testset_id = "testset_id_123" url = f"https://api.respan.ai/api/testsets/{testset_id}" headers = { "Authorization": "Bearer YOUR_API_KEY" } response = requests.get(url, headers=headers) print(response.json()) ``` ```bash cURL curl -X GET "https://api.respan.ai/api/testsets/{testset_id}" \ -H "Authorization: Bearer YOUR_API_KEY" ``` ## Response ```json 200 OK { "id": "testset_id_123", "name": "Test API Key Dataset", "description": "Dataset for testing new features", "column_definitions": [ {"field": "input"}, {"field": "expected_output"} ] } ```

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Path parameters

testset_idstringRequired
The ID of the testset to retrieve.

Response

Successful response for Retrieve testset

Errors

401
Unauthorized Error